Create OrderAsk AIpost https://api.warehance.com/v1/ordersRequired permission: write_orders Create a new order.Body Paramsstore_idintegerrequired≥ 1The ID of the store associated with this order.shipping_method_idinteger≥ 1The ID of the shipping method for this order. Either shipping_method_id or shipping_method_name is required.shipping_method_namestringlength ≥ 1The name of the shipping method. If a shipping method with this name does not exist for the store's client, it will be created. Either shipping_method_id or shipping_method_name is required.warehouse_idintegerrequired≥ 1The ID of the warehouse fulfilling this order.api_idstringlength ≥ 1Custom ID of the order from the marketplace or API. If an order with this API ID already exists, you will receive an error.shipping_addressobjectrequiredshipping_address objectorder_numberstringlength ≥ 1An optional custom order number.reference_number_onestringlength ≤ 255An optional reference number for the order.totalfloatThe total amount of the order.hold_until_datedate-timeThe date and time until which to hold the order.required_ship_datedate-timeThe date by which the order must be shipped. Optional; if not provided, the order will not have a required ship date set.order_datedate-timeThe date and time of the order. If not provided, the current date and time will be used. If provided, it must be in the past.packing_notestringA note about the packing of the order.gift_notestringA note about the gift of the order.internal_notestringA note about the order for internal use.customs_contents_typestringenumThe type of contents for customs purposes.merchandisedocumentsgiftmerchandisereturned_goodssampledangerous_goodshumanitarian_donationotherShow 8 enum valuescustoms_contents_explanationstringlength ≤ 255An explanation of the contents for customs purposes.custom_field1stringlength ≤ 255A custom field for storing additional order information.custom_field2stringlength ≤ 255A custom field for storing additional order information.custom_field3stringlength ≤ 255A custom field for storing additional order information.custom_field4stringlength ≤ 255A custom field for storing additional order information.custom_field5stringlength ≤ 255A custom field for storing additional order information.custom_field6stringlength ≤ 255A custom field for storing additional order information.tagsarray of stringstagsADD stringaddress_holdboolean | nullSet address hold to true or false.truefalsepayment_holdboolean | nullSet payment hold to true or false.truefalsewarehouse_holdboolean | nullSet warehouse hold to true or false.truefalseallocation_holdboolean | nullSet allocation hold to true or false.truefalsefraud_holdboolean | nullSet fraud hold to true or false.truefalseitemsarray of objectsrequiredlength ≥ 1items* objectproduct_idinteger≥ 1The ID of the product in this order item. Required if sku is not provided.skustringlength ≥ 1The SKU of the product in this order item. Required if product_id is not provided. If both are provided, product_id will be used. If only the SKU is provided, but the product does not exist, a new product will be created.quantityintegerrequired≥ 1The quantity of the product in this order item.ADD objectattachmentsarray of objectsattachmentsADD objectmetadataobject | nullA map of metadata to add to the order. Any fields provided that already exist will be updated, and any fields provided that do not exist will be added.metadata object | nullResponses 200Order created successfully 400Bad RequestUpdated 10 months ago